/* 修改layui 默认样式 */
.layui-fluid {
    padding: 0 !important;
}

.layui-layer {
    top: 150px !important;
}

/* End */

/* 
  工具区
*/
.header {
    width: 100%;
    height: 48px;
    max-height: 48px;
    background-color: #24c78e;
    box-sizing: border-box;
    padding: 0 30px 0 4px;
}

.main {
    width: 100%;
    height: auto;
}

.main .editorZone {
    position: relative;
}

.main .editorZone > .platformTip {
    position: absolute;
    font-size: 14px;
    font-weight: 400;
    color: #b1b0b0;
    line-height: 20px;
    bottom: 10px;
    right: 15px;
    display: none;
}

.header-row {
    padding: 0;
}

.header > .head {
    width: 100%;
    display: -webkit-flex;
    -webkit-justify-content: flex-start;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.head > li {
    width: 110px;
    max-height: 48px;
    height: 48px;
    margin: 0 10px;
    box-sizing: border-box;
}
.head > .logo {
    position: relative;
    overflow: hidden;
    max-height: 48px;
}
.head > .logo > img {
    max-width: 100%;
    max-height: 48px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}
.head > .headings {
    font-size: 14px;
    font-weight: 600;
    color: #e1fff4;
    line-height: 48px;
    text-align: center;
    width: auto;
    user-select: none;
    margin: 0;
}
.head > .tool-files {
    width: 70px;
}
.head > .tool-save {
    width: 64px;
    margin-left: 10px;
}
.head > .tool-save > button {
    padding: 0;
}

.head > .tool-options {
    margin-left: 14px;
    width: 170px;
}

.head > .tool-files > button {
    background-color: transparent !important;
}

.head > .tool-langs,
.head > .tool-files,
.head > .tool-save,
.head > .tool-fileTitle,
.head > .tool-options {
    position: relative;
}

.head > .tool-langs > .layui-btn,
.head > .tool-files > .layui-btn,
.head > .tool-save > .layui-btn,
.head > .tool-fileTitle > .filename-input,
.head > .tool-options > .layui-input_ {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
    background-color: #06ae73;
    color: #fff;
    border: none;
}

.head > .tool-langs > .layui-btn {
    width: 120px;
}
.head > .tool-fileTitle > .filename-input {
    cursor: text;
}
.head > .tool-options > .layui-input_ {
    display: flex;
    align-items: center;
    width: 170px;
    background-color: transparent;
}
.head > .tool-options > .layui-input_ > i {
    margin-right: 8px;
    font-size: 16px;
    font-weight: 600;
}
.head > .tool-options > .layui-input_ > input {
    color: #f0f0f0;
    background-color: #06ae73;
    border: none;
    font-weight: 600;
    padding: 0 10px;
}
.head > .runCode {
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.head > .runCode > button {
    width: 100%;
    height: 38px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    color: #14a170;
    border: none;
    border-radius: 4px;
}

.head > .runCode > button:hover::before {
    background-color: rgb(240, 240, 240);
    transition: width 0.3s ease-out, height 0.3s ease-out 0.3s;
}

.head > .runCode > button:hover {
    background-color: rgb(230, 230, 230);
    transition: border-color 0s ease-out 0.6s, width 0.3s ease-out 0.6s, height 0.3s ease-out 1s;
}

.head input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    color: #f0f0f0;
    font-weight: 600;
}

.head > .tool-files > .layui-btn {
    width: 80px;
}

.head > .tool-langs > .layui-btn > .langVal,
.head > .tool-files > .layui-btn > .fileVal {
    float: left;
    font-weight: 600;
    font-size: 16px;
}
.head > .tool-langs > .layui-btn > .layui-icon,
.head > .tool-files > .layui-btn > .layui-icon {
    position: absolute;
    right: 4px;
    font-weight: 600;
}

.head > .tool-save > .saveBtn {
    background-color: transparent;
    font-size: 17px;
    font-weight: 500;
}

.head > .tool-save > .saveBtn > i {
    margin-left: -6px;
    font-weight: 600;
}

.head > .compatible-instructions {
    margin: 0;
    width: auto;
    margin-left: 20px;
}
.head > .compatible-instructions span {
    color: #fff;
    font-size: 14px;
    line-height: 48px;
    cursor: pointer;
    height: 48px;
    display: inline-block;
}

.header .layui-col-md2 > .userBox {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    position: relative;
}

.header .userBox > .user {
    line-height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.header .userBox > .user > .avatar {
    font-size: 32px;
    margin-right: 8px;
}
.header .userBox > .user > .nickname {
    font-size: 16px;
    color: #fff;
    font-weight: 600;
}
.header input::-webkit-input-placeholder {
    color: #bdcada;
}

/* 
  编辑区 / 打印区
*/
.main .consoleZone {
    width: 100%;
    height: auto;
    background-color: #3b3b3b;
}
.main .consoleZone > .infoTip {
    width: 100%;
    height: 22px;
    line-height: 22px;
    color: #b1b1b1;
    font-weight: 600;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    box-sizing: border-box;
}
.main .consoleZone > .infoTip > #gcc-compile-status {
    margin: 0 10px;
}
.main .consoleZone > .infoTip > .info > .errors {
    margin-right: 14px;
}
.main .consoleZone > .tab > .toolsList {
    position: absolute;
    top: 0;
    right: 0;
}
.main .consoleZone > .tab > .toolsList > #clipboard {
    opacity: 0;
    filter: alpha(opacity=0);
}

.main .consoleZone > .tab .terminal {
    height: calc(100vh - 48px - 40px - 20px);
}
.main .consoleZone > .tab .terminal tbody tr {
    display: flex;
    height: 20px;
    line-height: 20px;
}

/* editor */
#code {
    width: 100%;
    margin-top: 2px;
}
#code .ace_scroller .ace_print-margin {
    width: 0 !important;
}

/* 
  动态生成dom 样式
*/
#paging {
    position: absolute;
    z-index: 99;
    bottom: 0;
    right: 16px;
}
#paging > .layui-laypage {
    margin: 0;
}

#CppProjectListModal {
    padding: 20px 16px 40px 16px;
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
    box-sizing: border-box;
    background-color: #fff;
    min-width: 640px;
    max-width: 646px;
    max-height: 390px;
    overflow-x: hidden;
    overflow-y: scroll;
}
#CppProjectListModal > .noProjectsTip {
    font-size: 16px;
    color: #7e683b;
    font-weight: 500;
    margin: 0 auto;
}
#CppProjectListModal > .itemProject {
    position: relative;
    width: 270px;
    height: 60px;
    line-height: 60px;
    background-color: #fff;
    border: 1px solid #ebeef5;
    border-radius: 4px;
    margin-bottom: 16px;
    padding: 10px 20px;
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
}
#CppProjectListModal > .itemProject > .delCppProject {
    width: 12px;
    height: 12px;
    position: absolute;
    right: 6px;
    top: -18px;
    color: #bebebe;
    font-weight: 400;
    font-size: 14px;
    user-select: none;
}
#CppProjectListModal > .itemProject:hover {
    box-shadow: 0 2px 12px 0 rgb(0 0 0 / 10%);
}
#CppProjectListModal > .marginRight {
    margin-right: 64px;
}

#CppProjectListModal > .itemProject > .fileInfo {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    margin-left: 18%;
    max-height: 60px;
    line-height: 18px;
}
#CppProjectListModal > .itemProject > .fileInfo > p {
    height: 16px;
    max-width: 140px;
    font-size: 16px;
    color: #7e683b;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    user-select: none;
}
#CppProjectListModal > .itemProject > .fileInfo > .filetitle {
    padding-bottom: 6px;
}
#CppProjectListModal > .itemProject > .fileInfo > .filetime {
    font-size: 14px;
}

/* 滚动条样式 Start */
::-webkit-scrollbar {
    width: 8px;
    /*height: 4px;*/
}
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    background: rgba(0, 0, 0, 0.2);
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    border-radius: 0;
    background: rgba(0, 0, 0, 0.1);
}
/* 滚动条样式   End */

/* wheelmenu  Start */
@-webkit-keyframes badbounce {
    0%,
    100% {
        -webkit-transform: translateY(0px);
    }
    10% {
        -webkit-transform: translateY(6px);
    }
    30% {
        -webkit-transform: translateY(-4px);
    }
    70% {
        -webkit-transform: translateY(3px);
    }
    90% {
        -webkit-transform: translateY(-2px);
    }
}
@-moz-keyframes badbounce {
    0%,
    100% {
        -moz-transform: translateY(0px);
    }
    10% {
        -moz-transform: translateY(6px);
    }
    30% {
        -moz-transform: translateY(-4px);
    }
    70% {
        -moz-transform: translateY(3px);
    }
    90% {
        -moz-transform: translateY(-2px);
    }
}
@keyframes badbounce {
    0%,
    100% {
        -webkit-transform: translateY(0px);
        -moz-transform: translateY(0px);
        -ms-transform: translateY(0px);
        -o-transform: translateY(0px);
        transform: translateY(0px);
    }
    10% {
        -webkit-transform: translateY(6px);
        -moz-transform: translateY(6px);
        -ms-transform: translateY(6px);
        -o-transform: translateY(6px);
        transform: translateY(6px);
    }
    30% {
        -webkit-transform: translateY(-4px);
        -moz-transform: translateY(-4px);
        -ms-transform: translateY(-4px);
        -o-transform: translateY(-4px);
        transform: translateY(-4px);
    }
    70% {
        -webkit-transform: translateY(3px);
        -moz-transform: translateY(3px);
        -ms-transform: translateY(3px);
        -o-transform: translateY(3px);
        transform: translateY(3px);
    }
    90% {
        -webkit-transform: translateY(-2px);
        -moz-transform: translateY(-2px);
        -ms-transform: translateY(-2px);
        -o-transform: translateY(-2px);
        transform: translateY(-2px);
    }
}
.ss_animate {
    -webkit-animation: badbounce 1s linear;
    -moz-animation: badbounce 1s linear;
    animation: badbounce 1s linear;
}
#ss_menu {
    bottom: 30px;
    width: 60px;
    height: 60px;
    color: #fff;
    position: fixed;
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    transition: all 1s ease;
    right: 30px;
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}
#ss_menu > .menu {
    display: block;
    position: absolute;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    text-align: center;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.23), 0 3px 10px rgba(0, 0, 0, 0.16);
    color: #fff;
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    transition: all 1s ease;
}
#ss_menu > .menu .share {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    transition: all 1s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}
#ss_menu > .menu .icon {
    font-size: 32px;
}
#ss_menu > .menu .share.close .circle {
    opacity: 0;
}
#ss_menu > .menu .share.close .bar {
    top: 50%;
    margin-top: -1.5px;
    left: 50%;
    margin-left: -12px;
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: rotate(405deg);
    -moz-transform: rotate(405deg);
    -ms-transform: rotate(405deg);
    -o-transform: rotate(405deg);
    transform: rotate(405deg);
}
#ss_menu > .menu .share.close .bar:before {
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: rotate(-450deg);
    -moz-transform: rotate(-450deg);
    -ms-transform: rotate(-450deg);
    -o-transform: rotate(-450deg);
    transform: rotate(-450deg);
}
#ss_menu > .menu.ss_active {
    background: #36c78e;
    -webkit-transform: scale(0.7);
    -moz-transform: scale(0.7);
    -ms-transform: scale(0.7);
    -o-transform: scale(0.7);
    transform: scale(0.7);
}
#ss_menu > div {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    position: absolute;
    width: 60px;
    height: 60px;
    font-size: 30px;
    text-align: center;
    background: #36c78e;
    border-radius: 50%;
    display: table;
}
#ss_menu > div i {
    display: table-cell;
    vertical-align: middle;
}
#ss_menu > div:hover {
    background: #009688;
    cursor: pointer;
    box-shadow: #999 0px 0px 10px;
}
#ss_menu > div > span {
    font-size: 16px;
    height: 60px;
    line-height: 60px;
}
#ss_menu > div > .pause {
}
#ss_menu > div > .start {
}

#ss_menu div:nth-child(1) {
    top: 0px;
    left: -160px;
}
#ss_menu div:nth-child(2) {
    top: -80px;
    left: -138.56406px;
}
#ss_menu div:nth-child(3) {
    top: -80px; /* -138.56406px; */
    left: -80px;
}
#ss_menu div:nth-child(4) {
    top: -110px; /* -160px; */
    left: 0px;
}
/* wheelmenu  End */
